Documentation Index Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Back to API List
Controls the transcription session of an AI Agent conversation. Use this API to start, pause, resume, or end an ongoing transcription session.
API Details
Field Value Method POSTEndpoint https://{{host}}/api/1.1/public/bot/{{botid}}/control/transcription?conversationId={{conversationId}}Content Type application/jsonAuthorization auth: {{JWT}}-See How to generate the JWT Token API Scope AgentAssist Transcription-See Associate API Scopes
Path Parameters
Parameter Required Description hostYes Environment URL, for example, https://platform.kore.ai botIdYes Unique ID of the AI Agent
Query Parameters
Parameter Required Description conversationIdYes Unique identifier of the AI Agent conversation
Sample Requests
Start transcription
curl --location 'https://{{host}}/api/1.1/public/bot/st-4b8bb9d0-096d-56e5-b72f-f43ecf1xxxxx/control/transcription?conversationId=CAe8a34d2556235bcf0cbc51e98bbxxxxx' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--data '{
"action": "start",
"agentId": "<AgentID>"
}'
Pause transcription
curl --location 'https://{{host}}/api/1.1/public/bot/st-4b8bb9d0-096d-56e5-b72f-f43ecf1xxxxx/control/transcription?conversationId=CAe8a34d2556235bcf0cbc51e98bbxxxxx' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--data '{
"action": "pause",
"agentId": "<Agent ID>",
"handover": true
}'
Resume transcription
curl --location 'https://{{host}}/api/1.1/public/bot/st-4b8bb9d0-096d-56e5-b72f-f43ecf1xxxxx/control/transcription?conversationId=CAe8a34d2556235bcf0cbc51e98bbxxxxx' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--data '{
"action": "resume",
"agentId": "<Agent ID>"
}'
End transcription
curl --location 'https://{{host}}/api/1.1/public/bot/st-4b8bb9d0-096d-56e5-b72f-f43ecf1xxxxx/control/transcription?conversationId=CAe8a34d2556235bcf0cbc51e98bbxxxxx' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--data '{
"action": "end",
"agentId": "<Agent ID>"
}'
Body Parameters
Parameter Required Description actionYes The control action to perform. Available values: start, pause, resume, end. agentIdYes The ID of the agent. handoverYes (with pause) Indicates whether the conversation is being transferred to another agent. true = cold transfer; false = normal hold.
Sample Response